package com.heyu.api.data.service.impl.system;
/**
* <p>
* 系统问答和用户绑定关系 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.system.SystemTalkBindUserDao;
import com.heyu.api.data.entity.system.SystemTalkBindUserEntity;
import com.heyu.api.data.service.system.SystemTalkBindUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class SystemTalkBindUserServiceImpl extends ServiceImpl<SystemTalkBindUserDao, SystemTalkBindUserEntity> implements SystemTalkBindUserService {


    @Autowired
	private SystemTalkBindUserDao systemTalkBindUserDao;



	@Override
	public SystemTalkBindUserEntity selectSystemTalkBindUserById(Long id){
		return systemTalkBindUserDao.selectSystemTalkBindUserById(id);
	}



	@Override
	public Long insertSystemTalkBindUser(SystemTalkBindUserEntity systemTalkBindUser){
		return systemTalkBindUserDao.insertSystemTalkBindUser(systemTalkBindUser);
	}



	@Override
	public Long insertOrUpdateSystemTalkBindUser(SystemTalkBindUserEntity systemTalkBindUser){
		return systemTalkBindUserDao.insertOrUpdateSystemTalkBindUser(systemTalkBindUser);
	}



	@Override
	public int updateSystemTalkBindUserById(SystemTalkBindUserEntity systemTalkBindUser){
		return systemTalkBindUserDao.updateSystemTalkBindUserById(systemTalkBindUser);
	}



	@Override
	public int updateCoverSystemTalkBindUserById(SystemTalkBindUserEntity systemTalkBindUser){
		return systemTalkBindUserDao.updateCoverSystemTalkBindUserById(systemTalkBindUser);
	}



	@Override
	public int deleteSystemTalkBindUserById(Long id){
		return systemTalkBindUserDao.deleteSystemTalkBindUserById(id);
	}



}
